Skip to main content
POST
/
api
/
v1
/
ops
/
transport-operator-route-policies
Create Transport Operator Route Policy
curl --request POST \
  --url https://api.example.com/api/v1/ops/transport-operator-route-policies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transportOperatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "routeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startAt": "2023-11-07T05:31:56Z",
  "endAt": "2023-11-07T05:31:56Z",
  "subsidyAmountPerKm": 1,
  "tripLimit": 2
}
'
import requests

url = "https://api.example.com/api/v1/ops/transport-operator-route-policies"

payload = {
"transportOperatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"routeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"subsidyAmountPerKm": 1,
"tripLimit": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transportOperatorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
routeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
startAt: '2023-11-07T05:31:56Z',
endAt: '2023-11-07T05:31:56Z',
subsidyAmountPerKm: 1,
tripLimit: 2
})
};

fetch('https://api.example.com/api/v1/ops/transport-operator-route-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transportOperatorRoutePolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transportOperatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "routeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startAt": "2023-11-07T05:31:56Z",
  "endAt": "2023-11-07T05:31:56Z",
  "subsidyAmountPerKm": 1,
  "tripLimit": 2,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}
{
"statusCode": 400,
"message": "Bad Request Error",
"errors": [
{
"code": "invalid_type",
"message": "Required",
"path": "name"
}
]
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection.

Body

application/json

Payload de criação da política operacional e financeira

transportOperatorId
string<uuid>
required

Permissionário da política

routeId
string<uuid>
required

Rota da política

startAt
string<date-time>
required

Início da vigência

endAt
string<date-time>
required

Fim da vigência

subsidyAmountPerKm
integer
required

Valor do subsídio por quilômetro em centavos

Required range: x >= 0
distanceSource
enum<string>
required

Fonte da distância usada no cálculo do subsídio

Available options:
PLANNED_ROUTE,
GPS_AUDITED,
ODOMETER_AUDITED,
COMBINED_AUDIT
tripLimit
integer
required

Quantidade máxima de viagens na vigência

Required range: x >= 1

Response

Created

Política operacional e financeira de um permissionário em uma rota

transportOperatorRoutePolicyId
string<uuid>
required

Identificador único

transportOperatorId
string<uuid>
required

Permissionário da política

routeId
string<uuid>
required

Rota da política

startAt
string<date-time>
required

Início da vigência

endAt
string<date-time>
required

Fim da vigência

subsidyAmountPerKm
integer
required

Valor do subsídio por quilômetro em centavos

Required range: x >= 0
distanceSource
enum<string>
required

Fonte da distância usada no cálculo do subsídio

Available options:
PLANNED_ROUTE,
GPS_AUDITED,
ODOMETER_AUDITED,
COMBINED_AUDIT
tripLimit
integer
required

Quantidade máxima de viagens na vigência

Required range: x >= 1
createdAt
string<date-time>
required

Data de criação

updatedAt
string<date-time>
required

Data da última atualização

deletedAt
string<date-time> | null
required

Data de remoção lógica